GNU bug report logs - #18217
24.3; font_unparse_xlfd generates defective font names

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Christopher Oliver <current.input.port@HIDDEN>; merged with #18219; dated Thu, 7 Aug 2014 22:09:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Merged 18217 18219. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 7 Aug 2014 22:08:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 07 18:08:06 2014
Received: from localhost ([127.0.0.1]:34398 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XFVqv-0003qt-3A
	for submit <at> debbugs.gnu.org; Thu, 07 Aug 2014 18:08:06 -0400
Received: from eggs.gnu.org ([208.118.235.92]:48398)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <current.input.port@HIDDEN>) id 1XFV1h-0002WW-RQ
 for submit <at> debbugs.gnu.org; Thu, 07 Aug 2014 17:15:10 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <current.input.port@HIDDEN>) id 1XFV1X-0006Hn-V8
 for submit <at> debbugs.gnu.org; Thu, 07 Aug 2014 17:15:04 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:42570)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <current.input.port@HIDDEN>) id 1XFV1X-0006Hi-R0
 for submit <at> debbugs.gnu.org; Thu, 07 Aug 2014 17:14:59 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:50007)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <current.input.port@HIDDEN>) id 1XFV1S-0004yx-HM
 for bug-gnu-emacs@HIDDEN; Thu, 07 Aug 2014 17:14:59 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <current.input.port@HIDDEN>) id 1XFV1N-0006EL-N0
 for bug-gnu-emacs@HIDDEN; Thu, 07 Aug 2014 17:14:54 -0400
Received: from mail-ig0-x22d.google.com ([2607:f8b0:4001:c05::22d]:61968)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <current.input.port@HIDDEN>) id 1XFV1N-0006DL-Di
 for bug-gnu-emacs@HIDDEN; Thu, 07 Aug 2014 17:14:49 -0400
Received: by mail-ig0-f173.google.com with SMTP id h18so43826igc.6
 for <bug-gnu-emacs@HIDDEN>; Thu, 07 Aug 2014 14:14:48 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=date:from:to:subject:message-id:mime-version:content-type;
 bh=wcuz4u3NnfD5VDSmY2wN2iMb2qmCpP8B02l3F4g+R2c=;
 b=ZNVhChWQo9rfv6g6bKiqGTSxrz7RQgvuY9WFWUHvEjOR1nazJ2aNNvEPItOE/cQ6k6
 JIliltc2FJvSWyxZYkylLXMsO/JcEqunyYOqcfIcJEBjCEdYkzHbVwC2feKE01rNO26H
 4UQc5jvjewvG6W452+1ln+tbzWOpo2++RHq/a+IuQfeflQMrsNY5sa2h2mdQtFaJQK48
 P7+QcZJ61DYv5l7Xl9vf/w1JDVnpCHRl0O1HYGSgwNf7ikHioKNimWBDT/5GExt5JirZ
 6qzutDWouRayBljXD5u7+dfu1H9vrhhL1Lr/yD9ffYTsyI1W0lzc7eN/3IeGJn8rZ7pB
 ciaQ==
X-Received: by 10.50.62.80 with SMTP id w16mr123397igr.21.1407446088369;
 Thu, 07 Aug 2014 14:14:48 -0700 (PDT)
Received: from onion.private (96-42-150-136.dhcp.trcy.mi.charter.com.
 [96.42.150.136])
 by mx.google.com with ESMTPSA id nl7sm331670igb.2.2014.08.07.14.14.46
 for <bug-gnu-emacs@HIDDEN>
 (version=TLSv1.2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Thu, 07 Aug 2014 14:14:47 -0700 (PDT)
Date: Thu, 7 Aug 2014 17:14:46 -0400
From: Christopher Oliver <current.input.port@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 24.3; font_unparse_xlfd generates defective font names
Message-Id: <20140807171446.e5f210b78fe14c5dd0a05516@HIDDEN>
X-Mailer: Sylpheed 3.3.0 (GTK+ 2.24.20; x86_64-unknown-linux-gnu)
Mime-Version: 1.0
Content-Type: multipart/mixed;
 boundary="Multipart=_Thu__7_Aug_2014_17_14_46_-0400_eJFqrv8truNKPKt="
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Thu, 07 Aug 2014 18:08:03 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

This is a multi-part message in MIME format.

--Multipart=_Thu__7_Aug_2014_17_14_46_-0400_eJFqrv8truNKPKt=
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit

From: Christoper Oliver <oliver@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 24.3; font_unparse_xlfd generated defective font names.
--text follows this line--
This bug report will be sent to the Bug-GNU-Emacs mailing list
and the GNU bug tracker at debbugs.gnu.org.  Please check that
the From: line contains a valid email address.  After a delay of up
to one day, you should receive an acknowledgment at that address.

Please write in English if possible, as the Emacs maintainers
usually do not have translators for other languages.

Please describe exactly what actions triggered the bug, and
the precise symptoms of the bug.  If you can, give a recipe
starting from `emacs -Q':

In stock emacs 24.3, add the following to .emacs

(setq default-frame-alist
  `((font . "-misc-fixed-medium-r-semicondensed-*-13-*-*-*-*-*-*-*")
    ,@default-frame-alist))

Start emacs under X, and try to bring up a new frame (C-X 5 2).  Observe the Invalid font
conplaint, and note the width is hyphenated contrary the the rules for xlfd naming.  This
also fails when starting a window with 'emacsclient -c'.  S. Monnier mentioned the bug in the
development list back in November of 2012; what became of this?

Attached is a patch that moves the proper xlfd names to the head of the style table entries.
This is definitely in "works for me" territory, but it seems to be doing the right thing under X.
How it would behave on other platforms, I've no clue as I've no access to them.

If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
    `bt full' and `xbacktrace'.
For information about debugging Emacs, please read the file
/usr/local/share/emacs/24.3/etc/DEBUG.


In GNU Emacs 24.3.1 (x86_64-unknown-linux-gnu, X toolkit, Xaw3d scroll bars)
 of 2014-08-07 on onion
Windowing system distributor `The X.Org Foundation', version 11.0.11403000
Configured using:
 `configure '--prefix=/usr/local' '--with-x-toolkit=lucid' '--with-x'
 '--without-gsettings' '--without-gconf' '--program-suffix='
 '--program-prefix=' '--localstatedir=/var' 'CFLAGS=-O3 -mtune=generic''

Important settings:
  value of $LC_COLLATE: C
  value of $LANG: en_US
  locale-coding-system: iso-latin-1-unix
  default enable-multibyte-characters: t

Major mode: Lisp Interaction

Minor modes in effect:
  show-paren-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
M-x <return>

Recent messages:
("emacs")
Loading /usr/local/share/emacs/site-lisp/snippets/text-mode/time...
Loading paren...done
Loading /home/staff/oliver/.emacs.d/lisp/init.el (source)...
Loading /usr/local/share/emacs/24.3/site-lisp/subdirs.el (source)...done
Loading /usr/local/share/emacs/24.3/site-lisp/subdirs.el (source)...done
Loading /home/staff/oliver/.emacs.d/lisp/init.el (source)...done
Starting Emacs daemon.
When done with this frame, type C-x 5 0

Load-path shadows:
/usr/local/share/emacs/site-lisp/t-mouse hides /usr/local/share/emacs/24.3/lisp/t-mouse
/usr/local/share/emacs/site-lisp/w3m/attic/rfc2368 hides /usr/local/share/emacs/24.3/lisp/mail/rfc2368
/usr/local/share/emacs/24.3/lisp/tree-widget hides /usr/local/dsp/share/emacs/site-lisp/SuperCollider/tree-widget

Features:
(shadow sort gnus-util mail-extr emacsbug message idna format-spec
rfc822 mml easymenu mml-sec mm-decode mm-bodies mm-encode mail-parse
rfc2231 mailabbrev gmm-utils mailheader sendmail rfc2047 rfc2045
ietf-drums mm-util mail-prsvr mail-utils smex ido server edmacro kmacro
byte-opt warnings bytecomp byte-compile cconv slime-autoloads wide-n
quick-yes advice help-fns cl-lib advice-preload time-date paren
cus-start cus-load tooltip ediff-hook vc-hooks lisp-float-type mwheel
x-win x-dnd tool-bar dnd fontset image regexp-opt fringe tabulated-list
newcomment lisp-mode register page menu-bar rfn-eshadow timer select
scroll-bar mouse jit-lock font-lock syntax facemenu font-core frame cham
georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
korean japanese hebrew greek romanian slovak czech european ethiopic
indian cyrillic chinese case-table epa-hook jka-cmpr-hook help simple
abbrev minibuffer loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote make-network-process
dbusbind dynamic-setting font-render-setting x-toolkit x multi-tty
emacs)


-- 
Christopher Oliver <current.input.port@HIDDEN>

--Multipart=_Thu__7_Aug_2014_17_14_46_-0400_eJFqrv8truNKPKt=
Content-Type: application/octet-stream;
 name="emacs-24.3-fontdesc.diff"
Content-Disposition: attachment;
 filename="emacs-24.3-fontdesc.diff"
Content-Transfer-Encoding: base64
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--Multipart=_Thu__7_Aug_2014_17_14_46_-0400_eJFqrv8truNKPKt=--




Acknowledgement sent to Christopher Oliver <current.input.port@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#18217; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.